Subject: [PATCH 0/5] gitweb: git_patchset_body fixes

From: Jakub Narebski <[email-masked]>
Date: Sun, 7 Jan 2007 02:52:22 +0100

Luben Tuikov wrote:

> gitweb has two bugs in git_patchset_body (now you know who
> you are without data-mining with git-blame).
> 
> The first bug is a missing "</div>" on commitdiff.
> Saw this one a couple of days ago, but was swamped
> and had no time to post.

Could you please provide either minimal example from
scratch, or parameters for git.git repository view, or
an URL? I could not reproduce this...

> The second bug is displaying a renamed file with the
> same name as the one of the preceding "patch". Saw
> this one today when I pulled.
> 
> To exhibit these, you need to "commitdiff" a commit
> which has at least one rename and at least one regular
> diff preceding the rename.

Haven't found this one, but I hope one of those patches
would fix this.

[...]
> "And while at it" can you please actually *do* "refactor"
> git_patchset_body *into smaller functions each one doing
> a single particular task*.
> 
> It is sad to see git_patchset_body in such despicable state
> all the while seeing words like "refactor" in the commit logs
> of that function.

(Perhaps I overuse word "refactor").

> git_patchset_body is grossly overloaded for what it is
> supposed to do to, and being one single huge blob, it is
> hard to maintain.

I'm not sure if splitting git_patchset_body into smaller functions
would be worth doing, as 1) such functions would be used only
by git_patchset_body, 2) quite I bit of info has to be passed.

-- >8 --

Table of contents
 [PATCH 1/5] gitweb: Fix error in git_patchest_body for file
             creation/deletion patch 
 [PATCH 2/5] gitweb: Fix error in "rename to"/"copy to" git diff
             header output 
 [PATCH 3/5] gitweb: Fix errors in git_patchset_body for empty patches
 [PATCH 4/5] Revert "gitweb: There can be empty patches
             (in git_patchset_body)"
 [PATCH 5/5] gitweb: Fix split patches output (e.g. file to symlink)

Diffstat:
 gitweb/gitweb.perl |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

-- 
Jakub Narebski
Poland